<?php
/*
	Plugin Name: Comment Feeds Comments Count
	Plugin URI: http://kahi.cz/wordpress/
	Description: Makes possible to set count of comments in comment-feeds. Defaulty is the count same as the count of posts in posts-feeds.
	Author: Peter "Kahi" Kahoun
	Author URI: http://kahi.cz/wordpress/
	Version: 1.0
*/


add_action('parse_query', 'KahisCommentFeedsCommentsCount');

function KahisCommentFeedsCommentsCount () {
	global $wp_query;

	if ($wp_query->is_comment_feed) {
		$alloptions = wp_load_alloptions();
		$alloptions['posts_per_rss'] = 25; // <--------------- here
		wp_cache_set('alloptions', $alloptions, 'options');
	}

}
